Delete specific translations
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/translations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"deleteSettings": {
"confirmed": true,
"locked": true
},
"filter": {
"dateDue": "2023-11-07T05:31:56Z",
"dueInHours": 123,
"filename": "<string>",
"overdue": true,
"statuses": [
"<string>"
],
"targetLang": "<string>"
},
"forAllJobs": true,
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"workflowLevel": 123
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/translations"
payload = {
"deleteSettings": {
"confirmed": True,
"locked": True
},
"filter": {
"dateDue": "2023-11-07T05:31:56Z",
"dueInHours": 123,
"filename": "<string>",
"overdue": True,
"statuses": ["<string>"],
"targetLang": "<string>"
},
"forAllJobs": True,
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"workflowLevel": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deleteSettings: {confirmed: true, locked: true},
filter: {
dateDue: '2023-11-07T05:31:56Z',
dueInHours: 123,
filename: '<string>',
overdue: true,
statuses: ['<string>'],
targetLang: '<string>'
},
forAllJobs: true,
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
workflowLevel: 123
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Job
Delete specific translations
DELETE
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
translations
Delete specific translations
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Set true if you want to delete translations for all jobs from project from specific workflow step. Default: false
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Specifies workflow level for all jobs
Response
No Content
Was this page helpful?
⌘I